Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.orm
Interface IRequests

All Known Implementing Classes:
  DAL

    public interface IRequests

Since:
  0.1
Author:
  fabricemaupin

  Data Requests to implement.

Method Summary
`Pronunciation[]` | `getAllPronunciationFromTransliteration(Transliteration tr)` get all pronunciation from transliteration.
`DemonstrativePronoun` | `getDemonstrativePronounFromSign(Sign[] s, int indexSign)` return demonstrative pronoun object from sign.
`java.util.List<Sign>` | `getDemonstrativePronouns()` return all demonstrative pronous.
`java.util.List<Sign>` | `getDeterminers()` return all determiners.
`Sign[]` | `getHieroglyphs()` return all hieroglyphs.
`java.util.List<Sign>` | `getIdeograms()` return all ideograms.
`java.util.List<Item>` | `getLexicographicalItems()` return all lexicographical items.
`Phonogram[]` | `getPhonograms()` return all phonograms.
`Preposition` | `getPrepositionFromSign(Sign[] s, int indexSign)` return preposition object from sign.
`java.util.List<Sign>` | `getPrepositions()` return all prepositions.
`SuffixPronoun[]` | `getSuffixPronounFromSign(Sign[] s, int indexSign)` return suffix pronoun objects from sign.
`java.util.List<Sign>` | `getSuffixPronouns()` return all suffix pronous.
`Transliteration` | `getTransliterationFromSign(Sign[] s, int indexSign)` return transliteration object from sign.

Method Detail

### getPhonograms

    Phonogram[] getPhonograms()

  return all phonograms.

  Since:
    0.1

### getHieroglyphs

    Sign[] getHieroglyphs()

  return all hieroglyphs.

  Since:
    0.1

### getTransliterationFromSign

    Transliteration getTransliterationFromSign(Sign[] s,
                                               int indexSign)

  return transliteration object from sign.

  Parameters:
    `s` - list of signs
    `indexSign` - index of sign
  Returns:
    transliteration object
  Since:
    0.1

### getAllPronunciationFromTransliteration

    Pronunciation[] getAllPronunciationFromTransliteration(Transliteration tr)

  get all pronunciation from transliteration.

  Parameters:
    `tr` - transliteration
  Returns:
    list of pronunciation
  Since:
    0.1

### getDeterminers

    java.util.List<Sign> getDeterminers()

  return all determiners.

  Since:
    0.6

### getIdeograms

    java.util.List<Sign> getIdeograms()

  return all ideograms.

  Since:
    0.6

### getSuffixPronounFromSign

    SuffixPronoun[] getSuffixPronounFromSign(Sign[] s,
                                             int indexSign)

  return suffix pronoun objects from sign.

  Parameters:
    `s` - list of signs
    `indexSign` - index of sign
  Returns:
    suffix pronoun objects
  Since:
    0.6

### getPrepositionFromSign

    Preposition getPrepositionFromSign(Sign[] s,
                                       int indexSign)

  return preposition object from sign.

  Parameters:
    `s` - list of signs
    `indexSign` - index of sign
  Returns:
    preposition object
  Since:
    0.6

### getDemonstrativePronounFromSign

    DemonstrativePronoun getDemonstrativePronounFromSign(Sign[] s,
                                                         int indexSign)

  return demonstrative pronoun object from sign.

  Parameters:
    `s` - list of signs
    `indexSign` - index of sign
  Returns:
    demonstrative pronoun object
  Since:
    0.6

### getSuffixPronouns

    java.util.List<Sign> getSuffixPronouns()

  return all suffix pronous.

  Since:
    0.6

### getDemonstrativePronouns

    java.util.List<Sign> getDemonstrativePronouns()

  return all demonstrative pronous.

  Since:
    0.6

### getPrepositions

    java.util.List<Sign> getPrepositions()

  return all prepositions.

  Since:
    0.6

### getLexicographicalItems

    java.util.List<Item> getLexicographicalItems()

  return all lexicographical items.

  Since:
    0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.